#ifndef SSAOBLURSHADER_H
#define SSAOBLURSHADER_H

#include "client/engine/shader/ShaderProgram.h"

class SSAOBlurShader
{
public:
    SSAOBlurShader();
    virtual ~SSAOBlurShader();
    
    bool init();
    void resize();

    void preRender();
    
    void bindTexture(unsigned int textureUnit);
    
private:
    // shader
    ShaderProgram program;
    // framebuffer
    GLuint framebuffer = 0;
    // textures
    GLuint texture = 0;
};

#endif

