#ifndef ICHUNKPROVIDER_H
#define ICHUNKPROVIDER_H

#include "common/world/Chunk.h"

class IChunkProvider
{
public:
    virtual ~IChunkProvider() = default;
    virtual Chunk* getChunk(int x, int z) = 0;
    virtual bool isChunkLoaded(int x, int z) const = 0;
    virtual void forEachLoadedChunk(void* data, void (*fun) (Chunk&, void*)) const = 0;
};

#endif
