#version 430

layout (location = 0) out vec3 worldPosition;
layout (location = 1) out vec3 worldNormal;
layout (location = 2) out vec4 worldColor;

layout (binding = 0) uniform sampler2D samp;

uniform mat4 projMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

in vec3 varPosition;
in vec2 varTextureCoord;
in vec4 varColor;
in vec3 varNormal;

void main(void)
{
    worldPosition = varPosition;
    worldNormal = normalize(varNormal);
    //worldColor = vec4(1, 0, 0, 1);
    worldColor = texture(samp, varTextureCoord);
    //worldColor = varColor;
}
