#ifndef ISERVERLISTENER_H
#define ISERVERLISTENER_H

#include "common/stream/Stream.h"

class IServerListener
{
public:
    virtual ~IServerListener() = default;
    virtual void onFullServerClientConnect(int socket) const = 0;
    virtual void onClientConnect(int socket) const = 0;
    virtual void onClientPackage(int socket, Stream& in) const = 0;
    virtual void onClientDisconnect(int socket) const = 0;
};

#endif

