#ifndef WORLDPOSTSHADER_H
#define WORLDPOSTSHADER_H

#include "client/engine/shader/ShaderProgram.h"

class WorldPostShader
{
public:
    WorldPostShader();
    virtual ~WorldPostShader();
    
    bool init();
    void resize();

    void preRender();
    
    void bindTexture(unsigned int textureUnit);
    
private:
    // shader
    ShaderProgram program;
    // framebuffer
    GLuint framebuffer = 0;
    // textures
    GLuint texture = 0;
};

#endif



